Subject: Re: too few bogoMips on MPC8313E-RDB ?

From: Dominik Bozek <[email-masked]>
Date: Wed, 26 Nov 2008 16:58:17 +0100

Norbert van Bolhuis wrote:
>
> Thanks for the answer, but that's not it.
>
> I checked the jiffies variable, it increases about 250 times
> per second.
> So the (mpc83xx_defconfig) kernel perception (#define CONFIG_HZ 250)
> is OK.
>
> It must be something else, I still think 83.20 BogoMIPS
> can't be correct for a MPC8313 running at 333 MHz.
>
>
> Alessandro Rubini wrote:
>>> This is what a linux-2.6.x reports (for the MPC8313E running at 333
>>> MHz):
>>> Calibrating delay loop... 83.20 BogoMIPS (lpj=166400)

I never been worried for the BogoMIPS, but actually my board (custom
one) report:
Calibrating delay loop... 66.56 BogoMIPS (lpj=133120)
The core is running at 333MHz also, but what make my focus is the result
of calibrating: 66.56. The main oscillator on my board is 66MHz!? Is the
main oscillator on your board 83.3MHz?
BTW. I'm using older kernel 2.6.20 with patches from freescale.

Regards